Author Topic: yum check problems  (Read 7960 times)

Martin Iturbide

  • OS2World NewsMaster
  • Hero Member
  • *****
  • Thank You
  • -Given: 422
  • -Receive: 89
  • Posts: 2477
  • Your Friend Wil Declares...
    • View Profile
    • Martin's Personal Blog
yum check problems
« on: March 13, 2015, 03:49:10 pm »
Hi.

What is your recommendation to solve this problems that shows with "yum check".

Quote
coreutils-8.6-11.oc00.i386 has missing requires of kintl.dll
cpio-2.11-4.oc00.i386 has missing requires of kintl.dll
fontconfig-2.8.0-1.oc00.i386 has missing requires of freetyp6.dll
fontconfig-2.8.0-1.oc00.i386 has missing requires of freetype
freetype-2.5.5-1.oc00.i386 provides ('freetyp6.dll', None, (None, None, None)) but it cannot be found
git-2.0.0-2.oc00.i386 has missing requires of kintl.dll
1:popt-libs-1.15-4.oc00.i386 has missing requires of kintl.dll
rpm-python-4.8.1-23.oc00.i386 is a duplicate with rpm-python-4.8.1-23.oc00.i386
rpm-python-4.8.1-23.oc00.i386 provides ('_rpm.dll', None, (None, None, None)) but it cannot be found
rpm-python-4.8.1-23.oc00.i386 provides ('_rpm.dll', None, (None, None, None)) but it cannot be found
yum-3.4.3-8.oc00.noarch has missing requires of rpm-python
Error: check all


I checked for kintl.dll,  freetyp6.dll and I have them located here:

Quote
\usr\lib
 2-11-15 10:46a       366,844    124 a---  freetyp6.dll

and
Quote
\usr\lib
 8-27-11 12:10p        28,317    124 a---  kintl.dll


Regards
Martin Iturbide
OS2World NewsMaster
... just share the dream.

David McKenna

  • Full Member
  • ***
  • Thank You
  • -Given: 9
  • -Receive: 10
  • Posts: 219
    • View Profile
Re: yum check problems
« Reply #1 on: March 13, 2015, 10:28:22 pm »
Martin,

  I would start by doing 'yum reinstall coreutils', then try yum check again (after rebooting) and see if the error for coreutils goes away. If it does, try doing that for each package listed with an error. If it does not, report this on the Netlabs Yum bugtracker.

Martin Iturbide

  • OS2World NewsMaster
  • Hero Member
  • *****
  • Thank You
  • -Given: 422
  • -Receive: 89
  • Posts: 2477
  • Your Friend Wil Declares...
    • View Profile
    • Martin's Personal Blog
Re: yum check problems
« Reply #2 on: March 13, 2015, 11:08:14 pm »
Thanks David

I just did a 'yum reinstall coreutils' and I got this.

Quote
Installed size: 5.5 M
Is this ok [y/N]: y
Downloading Packages:
Running Transaction Check
Running Transaction Test
Transaction Test Succeeded
Running Transaction
Warning: RPMDB altered outside of yum.
** Found 8 pre-existing rpmdb problem(s), 'yum check' output follows:
coreutils-8.6-11.oc00.i386 has missing requires of kintl.dll
cpio-2.11-4.oc00.i386 has missing requires of kintl.dll
fontconfig-2.8.0-1.oc00.i386 has missing requires of freetyp6.dll
fontconfig-2.8.0-1.oc00.i386 has missing requires of freetype
git-2.0.0-2.oc00.i386 has missing requires of kintl.dll
1:popt-libs-1.15-4.oc00.i386 has missing requires of kintl.dll
rpm-python-4.8.1-23.oc00.i386 is a duplicate with rpm-python-4.8.1-23.oc00.i386
yum-3.4.3-8.oc00.noarch has missing requires of rpm-python
  Installing : gettext-legacy-0.18.3.2-1.oc00.i386                          1/2

  Installing : coreutils-8.6-11.oc00.i386                                   2/2



Rpmdb checksum is invalid: dCDPT(pkg checksums)


After a reboot, "yum check" shows the same.

Maybe is that this that says "Warning: RPMDB altered outside of yum."... ??

Regards
« Last Edit: March 13, 2015, 11:12:55 pm by Martin Iturbide »
Martin Iturbide
OS2World NewsMaster
... just share the dream.

David McKenna

  • Full Member
  • ***
  • Thank You
  • -Given: 9
  • -Receive: 10
  • Posts: 219
    • View Profile
Re: yum check problems
« Reply #3 on: March 13, 2015, 11:56:17 pm »
Martin,

  Try 'yum clean rpmdb', then 'yum check' again. The 'altered outside of yum' is a known cosmetic problem (that I wish they would fix soon - it looks very bad and is confusing). Also check for duplicate dll's in your libpath (Local System -> System Setup -> OS/2 Kernel -> System Paths -> choose 'Libpath' and click on the 'duplicates' button). If you find dll's in both your /usr/lib directory and in others, move the others out of your libpath. Reboot and try 'yum check' again.

 

Dave Yeo

  • Hero Member
  • *****
  • Thank You
  • -Given: 11
  • -Receive: 160
  • Posts: 2252
    • View Profile
Re: yum check problems
« Reply #4 on: March 14, 2015, 02:45:08 am »
Quote
Rpmdb checksum is invalid: dCDPT(pkg checksums)

Seems to be a common message which doesn't seem to hurt, at least a lot of people seem to be getting it.
You can try downgrading the packages and then re-updating or in the case of uncritical ones like png, freetype etc, erasing them and reinstall.
I fixed one install that way but not another.

Andreas Schnellbacher

  • Sr. Member
  • ****
  • Thank You
  • -Given: 1
  • -Receive: 26
  • Posts: 457
    • View Profile
Re: yum check problems
« Reply #5 on: March 14, 2015, 12:10:23 pm »
Yes, I had similar database errors. I executed

Code: [Select]
yum reinstall <pkg>

for each listed package until the 'has missing requires' errors went away. An example:

Code: [Select]
[D:\]set lang=en_US

[D:\]yum check
coreutils-8.6-11.oc00.i386 has missing requires of kintl.dll
cpio-2.11-4.oc00.i386 has missing requires of kintl.dll
diffutils-3.2-3.oc00.i386 has missing requires of kintl.dll
1:findutils-4.4.2-6.oc00.i386 has missing requires of kintl.dll
gettext-0.18.1.1-7.oc00.i386 has missing requires of kintl.dll
gettext-legacy-0.18.1.1-7.oc00.i386 provides ('kintl.dll', None, (None, None, No
ne)) but it cannot be found
grep-2.10-2.oc00.i386 has missing requires of kintl.dll
perl-core-5.16.1-1.oc00.i386 has missing requires of perl-Compress-Raw-Zlib
1:popt-libs-1.15-4.oc00.i386 has missing requires of kintl.dll
python-libs-2.7.6-10.oc00.i386 has missing requires of kintl.dll
sed-4.2.1-2.oc00.i386 has missing requires of kintl.dll
2:tar-1.23-7.oc00.i386 has missing requires of kintl.dll
Error: check all

[D:\]yum info gettext-libs
Installed Packages
Name        : gettext-libs
Arch        : i386
Version     : 0.18.1.1
Release     : 7.oc00
Size        : 1.1 M
Repo        : installed
Summary     : Libraries for gettext
URL         : http://www.gnu.org/software/gettext/
License     : LGPLv2+
Description : This package contains libraries used internationalization support.

[D:\]yum reinstall gettext-libs
Setting up Reinstall Process
Resolving Dependencies
--> Running transaction check
---> Package gettext-libs.i386 0:0.18.1.1-7.oc00 will be reinstalled
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================

 Package            Arch       Version                  Repository         Size
================================================================================

Reinstalling:
 gettext-libs       i386       0.18.1.1-7.oc00          netlabs-rel       929 k

Transaction Summary
================================================================================

Reinstall     1 Package

Total size: 929 k
Installed size: 929 k
Is this ok [y/N]: y
Downloading Packages:
Running Transaction Check
Running Transaction Test
Transaction Test Succeeded
Running Transaction
Warning: RPMDB altered outside of yum.
** Found 11 pre-existing rpmdb problem(s), 'yum check' output follows:
coreutils-8.6-11.oc00.i386 has missing requires of kintl.dll
cpio-2.11-4.oc00.i386 has missing requires of kintl.dll
diffutils-3.2-3.oc00.i386 has missing requires of kintl.dll
1:findutils-4.4.2-6.oc00.i386 has missing requires of kintl.dll
gettext-0.18.1.1-7.oc00.i386 has missing requires of kintl.dll
grep-2.10-2.oc00.i386 has missing requires of kintl.dll
perl-core-5.16.1-1.oc00.i386 has missing requires of perl-Compress-Raw-Zlib
1:popt-libs-1.15-4.oc00.i386 has missing requires of kintl.dll
python-libs-2.7.6-10.oc00.i386 has missing requires of kintl.dll
sed-4.2.1-2.oc00.i386 has missing requires of kintl.dll
2:tar-1.23-7.oc00.i386 has missing requires of kintl.dll
  Installing : gettext-libs-0.18.1.1-7.oc00.i386                            1/1



Rpmdb checksum is invalid: dCDPT(pkg checksums)

[D:\]

After that I had two duplicate database entries. I executed the commands below which I found in the Internet. Note that I had to install the yum-utils package. It fixes one duplicate. Unfortunately the duplicate entry of gettext-legacy remains. That is the .rpm file which provides kintl.dll.

Code: [Select]
rpm --rebuilddb

yum reinstall <pkg>

yum install yum-utils
python \@unixroot\usr\sbin\yum-complete-transaction
python \@unixroot\usr\bin\package-cleanup --dupes
python \@unixroot\usr\bin\package-cleanup --cleandupes --skip-broken

rpm -e --justdb <package-version>
rpm -qa --queryformat="%{NAME} %{ARCH}\n" | sort | uniq -c | grep -v " 1 " | cut -c 9- | cut -d" " -f1

yum clean all

Some examples with output. I used EPM's command shell for easier output catching:

Code: [Select]
epm: D:\ > set lang=en_US

epm: D:\ > yum check
Error: check all
gettext-legacy-0.18.1.1-7.oc00.i386 is a duplicate with gettext-legacy-0.18.1.1-7.oc00.i386

epm: D:\ > rpm -ql gettext-legacy
/@unixroot/usr/lib/kintl.dll
/@unixroot/usr/lib/kintl.dll

epm: D:\ > rpm -q --whatrequires kintl.dll
findutils-4.4.2-6.oc00.i386
sed-4.2.1-2.oc00.i386
gettext-0.18.1.1-7.oc00.i386
grep-2.10-2.oc00.i386
cpio-2.11-4.oc00.i386
coreutils-8.6-11.oc00.i386
diffutils-3.2-3.oc00.i386
tar-1.23-7.oc00.i386
popt-libs-1.15-4.oc00.i386

epm: D:\ > python \@unixroot\usr\sbin\yum-complete-transaction
No unfinished transactions left.

epm: D:\ > python \@unixroot\usr\bin\package-cleanup --dupes
gettext-legacy-0.18.1.1-7.oc00.i386
gettext-legacy-0.18.1.1-7.oc00.i386

epm: D:\ > python \@unixroot\usr\bin\package-cleanup --cleandupes --skip-broken
--> Running transaction check
---> Package gettext-legacy.i386 0:0.18.1.1-7.oc00 will be erased
--> Processing Dependency: kintl.dll for package: 1:findutils-4.4.2-6.oc00.i386
--> Processing Dependency: kintl.dll for package: gettext-0.18.1.1-7.oc00.i386
--> Processing Dependency: kintl.dll for package: sed-4.2.1-2.oc00.i386
--> Processing Dependency: kintl.dll for package: 2:tar-1.23-7.oc00.i386
--> Processing Dependency: kintl.dll for package: coreutils-8.6-11.oc00.i386
--> Processing Dependency: kintl.dll for package: cpio-2.11-4.oc00.i386
--> Processing Dependency: kintl.dll for package: diffutils-3.2-3.oc00.i386
--> Processing Dependency: kintl.dll for package: 1:popt-libs-1.15-4.oc00.i386
--> Processing Dependency: kintl.dll for package: grep-2.10-2.oc00.i386
--> Running transaction check
---> Package coreutils.i386 0:8.6-11.oc00 will be erased
--> Processing Dependency: coreutils for package: rpm-4.8.1-23.oc00.i386
---> Package cpio.i386 0:2.11-4.oc00 will be erased
---> Package diffutils.i386 0:3.2-3.oc00 will be erased
---> Package findutils.i386 1:4.4.2-6.oc00 will be erased
---> Package gettext.i386 0:0.18.1.1-7.oc00 will be erased
---> Package grep.i386 0:2.10-2.oc00 will be erased
---> Package popt-libs.i386 1:1.15-4.oc00 will be erased
--> Processing Dependency: popt.dll for package: rpm-libs-4.8.1-23.oc00.i386
--> Processing Dependency: popt.dll for package: 1:pkgconfig-0.25-4.oc00.i386
--> Processing Dependency: popt-libs = 1:1.15-4.oc00 for package: 1:popt-1.15-4.oc00.i386
---> Package sed.i386 0:4.2.1-2.oc00 will be erased
---> Package tar.i386 2:1.23-7.oc00 will be erased
--> Running transaction check
---> Package pkgconfig.i386 1:0.25-4.oc00 will be erased
--> Processing Dependency: pkgconfig for package: apr-devel-1.4.5-1.oc00.i386
---> Package popt.i386 1:1.15-4.oc00 will be erased
---> Package rpm.i386 0:4.8.1-23.oc00 will be erased
--> Processing Dependency: rpm = 4.8.1-23.oc00 for package: rpm-python-4.8.1-23.oc00.i386
--> Processing Dependency: rpm >= 4.4.2 for package: yum-3.4.3-8.oc00.noarch
--> Processing Dependency: rpm >= 4.8.1-22 for package: gcc-4.9.2.1-3.oc00.i386
---> Package rpm-libs.i386 0:4.8.1-23.oc00 will be erased
--> Running transaction check
---> Package apr-devel.i386 0:1.4.5-1.oc00 will be erased
---> Package gcc.i386 0:4.9.2.1-3.oc00 will be erased
---> Package rpm-python.i386 0:4.8.1-23.oc00 will be erased
---> Package yum.noarch 0:3.4.3-8.oc00 will be erased
--> Processing Dependency: yum >= 3.2.27 for package: yum-utils-1.1.31-2.oc00.noarch
--> Processing Dependency: yum >= 2.6.2 for package: yum-metadata-parser-1.1.4-4.oc00.i386
--> Running transaction check
---> Package yum-metadata-parser.i386 0:1.1.4-4.oc00 will be erased
---> Package yum-utils.noarch 0:1.1.31-2.oc00 will be erased
--> Processing Dependency: /@unixroot/usr/bin/env for package: python-2.7.6-11.oc00.i386
--> Restarting Dependency Resolution with new changes.
--> Running transaction check
---> Package python.i386 0:2.7.6-11.oc00 will be erased
--> Processing Dependency: python(abi) = 2.7 for package: urlgrabber-3.10.1-10.oc00.noarch
--> Processing Dependency: python(abi) = 2.7 for package: libxml2-2.7.7-5.oc00.i386
--> Processing Dependency: python = 2.7.6-11.oc00 for package: python-libs-2.7.6-11.oc00.i386
--> Running transaction check
---> Package libxml2.i386 0:2.7.7-5.oc00 will be erased
--> Processing Dependency: libxml2.dll for package: libxslt-1.1.26-2.oc00.i386
--> Processing Dependency: libxml2 >= 2.6.27 for package: libxslt-1.1.26-2.oc00.i386
---> Package python-libs.i386 0:2.7.6-11.oc00 will be erased
--> Processing Dependency: python27.dll for package: python-pycurl-7.19.5.1-1.oc00.i386
---> Package urlgrabber.noarch 0:3.10.1-10.oc00 will be erased
--> Running transaction check
---> Package libxslt.i386 0:1.1.26-2.oc00 will be erased
---> Package python-pycurl.i386 0:7.19.5.1-1.oc00 will be erased
--> Finished Dependency Resolution
Error: Trying to remove "yum", which is protected
** Found 1 pre-existing rpmdb problem(s), 'yum check' output follows:
gettext-legacy-0.18.1.1-7.oc00.i386 is a duplicate with gettext-legacy-0.18.1.1-7.oc00.i386

epm: D:\ > python \@unixroot\usr\bin\package-cleanup --dupes
gettext-legacy-0.18.1.1-7.oc00.i386
gettext-legacy-0.18.1.1-7.oc00.i386

epm: D:\ > rpm -ql gettext-legacy
/@unixroot/usr/lib/kintl.dll
/@unixroot/usr/lib/kintl.dll

epm: D:\ > yum provides kintl.dll
gettext-legacy-0.18.1.1-7.oc00.i386 : The old gettext library.
Repo        : netlabs-rel
Matched from:
Other       : kintl.dll



gettext-libs-0.18.1.1-3.oc00.i386 : Libraries for gettext
Repo        : netlabs-rel
Matched from:
Other       : kintl.dll



gettext-legacy-0.18.1.1-7.oc00.i386 : The old gettext library.
Repo        : @netlabs-rel
Matched from:
Other       : kintl.dll




epm: D:\ > rpm -e --justdb gettext-legacy-0.18.1.1-7.oc00.i386
error: "gettext-legacy-0.18.1.1-7.oc00.i386" specifies multiple packages:
  gettext-legacy-0.18.1.1-7.oc00.i386
  gettext-legacy-0.18.1.1-7.oc00.i386

epm: D:\ > yum info gettext-legacy
Installed Packages
Name        : gettext-legacy
Arch        : i386
Version     : 0.18.1.1
Release     : 7.oc00
Size        : 28 k
Repo        : installed
From repo   : netlabs-rel
Summary     : The old gettext library.
URL         : http://www.gnu.org/software/gettext/
License     : GPLv3+ and LGPLv2+
Description : The old gettext library.


epm: D:\ >

Links:

http://trac.netlabs.org/rpm/wiki/RpmHowToEndUsers
http://9xhostingindia.blogspot.de/2014/04/rpmdb-checksum-is-invalid-directadmin.html
http://stackoverflow.com/questions/19418301/yum-error-package-is-a-duplicate-with
https://www.centos.org/forums/viewtopic.php?f=13&t=44279
https://www.centos.org/forums/viewtopic.php?f=13&t=44356
http://www.linuxquestions.org/questions/centos-*-111/remove-duplicate-libraries-centos-6-a-4175521205/

David McKenna

  • Full Member
  • ***
  • Thank You
  • -Given: 9
  • -Receive: 10
  • Posts: 219
    • View Profile
Re: yum check problems
« Reply #6 on: March 14, 2015, 02:05:15 pm »
 Thanks for the links Andreas! Didn't know about yum-utils....

Martin Iturbide

  • OS2World NewsMaster
  • Hero Member
  • *****
  • Thank You
  • -Given: 422
  • -Receive: 89
  • Posts: 2477
  • Your Friend Wil Declares...
    • View Profile
    • Martin's Personal Blog
Re: yum check problems
« Reply #7 on: March 14, 2015, 06:22:12 pm »
Hi

I tried first  'yum clean rpmdb', then 'yum check' without any results.

After that I checked the libpath and path which was a very good exercise, because I had a lot of conflicts there... after that I rebooted, again  'yum clean all', then 'yum check'  with the same results.

Now I'm trying resintalling the packages... all of them. After that I will check the rebuilt commands.

Thanks for the hints.

Regards

Martin Iturbide
OS2World NewsMaster
... just share the dream.

Martin Iturbide

  • OS2World NewsMaster
  • Hero Member
  • *****
  • Thank You
  • -Given: 422
  • -Receive: 89
  • Posts: 2477
  • Your Friend Wil Declares...
    • View Profile
    • Martin's Personal Blog
Re: yum check problems
« Reply #8 on: March 14, 2015, 10:02:28 pm »
Interesting, with "rpm --rebuilddb" the yum check message get reduced to:

Quote
[C:\PROGRAMS\FHS]yum check
freetype-2.5.5-1.oc00.i386 is a duplicate with freetype-2.5.5-1.oc00.i386
gettext-legacy-0.18.3.2-1.oc00.i386 is a duplicate with gettext-legacy-0.18.3.2-1.oc00.i386
gettext-legacy-0.18.3.2-1.oc00.i386 is a duplicate with gettext-legacy-0.18.3.2-1.oc00.i386
rpm-python-4.8.1-23.oc00.i386 is a duplicate with rpm-python-4.8.1-23.oc00.i386
rpm-python-4.8.1-23.oc00.i386 is a duplicate with rpm-python-4.8.1-23.oc00.i386
rpm-python-4.8.1-23.oc00.i386 is a duplicate with rpm-python-4.8.1-23.oc00.i386
Error: check all

I will try the rest.
Martin Iturbide
OS2World NewsMaster
... just share the dream.

Martin Iturbide

  • OS2World NewsMaster
  • Hero Member
  • *****
  • Thank You
  • -Given: 422
  • -Receive: 89
  • Posts: 2477
  • Your Friend Wil Declares...
    • View Profile
    • Martin's Personal Blog
Re: yum check problems
« Reply #9 on: March 14, 2015, 10:08:08 pm »
I'm not sure about what does the python scripts does.

I got this when running "rpm -e --justdb freetype".

Quote
error: "freetype" specifies multiple packages:
  freetype-2.5.5-1.oc00.i386
  freetype-2.5.5-1.oc00.i386

and similar to the other two packages.
Martin Iturbide
OS2World NewsMaster
... just share the dream.

Martin Iturbide

  • OS2World NewsMaster
  • Hero Member
  • *****
  • Thank You
  • -Given: 422
  • -Receive: 89
  • Posts: 2477
  • Your Friend Wil Declares...
    • View Profile
    • Martin's Personal Blog
Re: yum check problems
« Reply #10 on: March 14, 2015, 10:15:17 pm »
I removed and reinstalled "freetype".  The yum check get reduced to this:

Quote
[C:\PROGRAMS\FHS]yum check
gettext-legacy-0.18.3.2-1.oc00.i386 is a duplicate with gettext-legacy-0.18.3.2-1.oc00.i386
gettext-legacy-0.18.3.2-1.oc00.i386 is a duplicate with gettext-legacy-0.18.3.2-1.oc00.i386
rpm-python-4.8.1-23.oc00.i386 is a duplicate with rpm-python-4.8.1-23.oc00.i386
rpm-python-4.8.1-23.oc00.i386 is a duplicate with rpm-python-4.8.1-23.oc00.i386
rpm-python-4.8.1-23.oc00.i386 is a duplicate with rpm-python-4.8.1-23.oc00.i386
Error: check all

Like I said, I'm not having problems with the software, but I just wanted to see if this error can get removed.
I didn't go futher with the "rpm -qa" command that Andreas suggestion, since I didn't understand it how to make the call. (or what it does).

Thanks for helping.

Regards
Martin Iturbide
OS2World NewsMaster
... just share the dream.

Andreas Schnellbacher

  • Sr. Member
  • ****
  • Thank You
  • -Given: 1
  • -Receive: 26
  • Posts: 457
    • View Profile
Re: yum check problems
« Reply #11 on: March 14, 2015, 11:11:15 pm »
gettext-legacy-0.18.3.2-1.oc00.i386 is a duplicate with gettext-legacy-0.18.3.2-1.oc00.i386
rpm-python-4.8.1-23.oc00.i386 is a duplicate with rpm-python-4.8.1-23.oc00.i386
That's apparently not easy to fix because gettext-legacy is used by yum and causes the 'is protected' error. I tried to uninstall temporarily yum with rpm -e --justdb, but that also disables the python script package-cleanup from yum-utils.

I didn't go futher with the "rpm -qa" command that Andreas suggestion, since I didn't understand it how to make the call. (or what it does).
It lists the duplicate packages, but different to 'python \@unixroot\usr\bin\package-cleanup --dupes', it doesn't list them doubled. When I tried that first, I was surprised that it works in a CMD window.

In the meantime I reinstalled all packages:

1. I've saved their names with 'yum list installed'.

2. I made sure that I have a newer yum bootstrap package (at least 1.3, better the newest)
http://trac.netlabs.org/rpm/wiki#Releases

3. unlock -r %unixroot%\usr\lib\*.dll

4. I've renamed \usr, \etc and \var.

5. I've installed the bootstrap .wpi file.

6. I started the bootstrap console from the program object and executed 'yum install yum'.

7. I opened another CMD window and installed at first the required packages for Mozilla, then the rest until 'yum list packages' lists almost the same one as before.

The duplicated database entries are gone, but the checksum error message remains. At least 'yum check' reports no errors anymore.
« Last Edit: March 14, 2015, 11:17:19 pm by Andreas Schnellbacher »

Andy Willis

  • Full Member
  • ***
  • Thank You
  • -Given: 0
  • -Receive: 10
  • Posts: 203
    • View Profile
Re: yum check problems
« Reply #12 on: March 15, 2015, 03:49:52 am »
These problems are common issues with yum/rpm in both Linux and OS/2 from what I have experienced. 
I have used:
yum shell
and in there issue:
remove gettext-legacy-0.18.3.2-1.oc00
remove gettext-legacy-0.18.3.2-1.oc00
install gettext-legacy
run
exit

You'll need to do that for every duplicated entry, and issue the remove for each time it is showing installed (I've had it show 5 and 6 times and so issued the remove for each of them).  Then when done issue   rpm --rebuiltdb   Then yum clean all.  Do your  yum check again.
When that doesn't work I've been able to find commands to clean it, something with rpm -e as I recall.

Andreas Schnellbacher

  • Sr. Member
  • ****
  • Thank You
  • -Given: 1
  • -Receive: 26
  • Posts: 457
    • View Profile
Re: yum check problems
« Reply #13 on: March 17, 2015, 12:33:35 am »
These problems are common issues with yum/rpm in both Linux and OS/2 from what I have experienced. 
I have used:
yum shell
and in there issue:
remove gettext-legacy-0.18.3.2-1.oc00
remove gettext-legacy-0.18.3.2-1.oc00
install gettext-legacy
run
exit
Interesting. I still doubt that it had worked in my case, because even the RPM subsystem commands failed.

I didn't bother to keep my previous unixroot dirs on disk, so I can't test that anymore. But thanks, anyways.